MacWorld forum Just nu i M3-nätverket
Gå till innehåll
e-snobben

Är det säkert idag att surfa med Safari 6.1.6?

Rekommendera Poster

Startade min Mac Pro och ser att den är hyfsat snabb att surfa med. Frågan är hur säkert Safari 6.1.6 är idag? I och med denna version fixade man en allvarlig bugg som gjorde att till synes SSL-säkra sidor i själva verket inte alls behövde vara det.

 

Safari 6.1.6 kan dock inte ladda sidor från MacWorld pga problem med att upprätta en säker anslutning. Däremot går det bra i både Chrome och Firefox med de senaste versionerna för Lion 10.7.5 som datorn körs med.

 

Får inga meddelanden från de sidor med https jag hittills lyckats besöka att de skulle vara osäkra i någon av mina webbläsare. Som sagt verkar det bara vara sidor från Macworld och dess forum som krånglar, ironiskt nog.

  • Rösta upp 1

Dela detta inlägg


Länk till inlägg
Dela på andra webbplatser

Gamla webbläsare som inte uppdateras är inte säkra, per definition. Vill du vara säker så använder du alltid en uppdaterad webbläsare. Vill du prompt använda just Safari kan du kolla om du kan uppdatera din Mac Pro till High Sierra genom ett systemhack.

Dela detta inlägg


Länk till inlägg
Dela på andra webbplatser
Postad (redigerade)
9 timmar sedan, e-snobben säger:

Däremot går det bra i både Chrome och Firefox med de senaste versionerna för Lion 10.7.5 som datorn körs med.

FF la ner stödet för Lion fr om FF 49, men... Det gååår att köra senare varianter. Dels finns det väl en ESR-version* som sträcker sig längre, men man kan också öndra lite i Info.plist bara så kan man köra upp t o m FF 56. Det är versionen innan “Quantum”, FF 57.

Du kan köra det här i terminal med (<=) FF56:

sed -i '/<string>10.9/s/9/6/' /Applications/Firefox.app/Contents/Info.plist

# Funkar inte den, prova med:
sed -i '' '/<string>10.9/s/9/6/' /Applications/Firefox.app/Contents/Info.plist

# är OS X version av sed som är lite annorlunda.


...eller så editerar du filen manuellt och letar upp/ändrar 10.9 -> 10.6. :crossfingers:


 

* ESR:

https://www.mozilla.org/en-US/firefox/organizations/

https://www.mozilla.org/sv-SE/firefox/organizations/all/

 

FF52-ESR ser ut att kunna funka bra, om att man kör fixet ovan på den.. Så har man en supportad version.

Redigerad av modEric
  • Gilla 1

Dela detta inlägg


Länk till inlägg
Dela på andra webbplatser
Postad (redigerade)
23 timmar sedan, Alix säger:

Gamla webbläsare som inte uppdateras är inte säkra, per definition. Vill du vara säker så använder du alltid en uppdaterad webbläsare. Vill du prompt använda just Safari kan du kolla om du kan uppdatera din Mac Pro till High Sierra genom ett systemhack.

I så fall har visionen om att alla ska ha tillgång till internet gjort att alla måste köpa ny dator inom x antal år, även om datorn fungerar helt felfritt. Jag är sugen att göra mina bankärenden på den gamla hädanefter bara för att se om mitt konto blir länsat på pengar. :hihihi:

 

Tack, men tyvärr är min dator ett par år för gammal.

Redigerad av e-snobben

Dela detta inlägg


Länk till inlägg
Dela på andra webbplatser
15 timmar sedan, modEric säger:

FF la ner stödet för Lion fr om FF 49, men... Det gååår att köra senare varianter. Dels finns det väl en ESR-version* som sträcker sig längre, men man kan också öndra lite i Info.plist bara så kan man köra upp t o m FF 56. Det är versionen innan “Quantum”, FF 57.

Du kan köra det här i terminal med (<=) FF56:


sed -i '/<string>10.9/s/9/6/' /Applications/Firefox.app/Contents/Info.plist

# Funkar inte den, prova med:
sed -i '' '/<string>10.9/s/9/6/' /Applications/Firefox.app/Contents/Info.plist

# är OS X version av sed som är lite annorlunda.


...eller så editerar du filen manuellt och letar upp/ändrar 10.9 -> 10.6. :crossfingers:


 

* ESR:

https://www.mozilla.org/en-US/firefox/organizations/

https://www.mozilla.org/sv-SE/firefox/organizations/all/

 

FF52-ESR ser ut att kunna funka bra, om att man kör fixet ovan på den.. Så har man en supportad version.

 

Kollade förut vilken version av FF  jag har och sen uppdaterade jag. Fick version 48, så det stämmer att senare versioner officiellt inte stöds.

 

Om man översätter terminalkoden till svenska, hur skulle det låta då? Dvs vad är det man talar om för datorn att göra?

 

 

 

Dela detta inlägg


Länk till inlägg
Dela på andra webbplatser
11 minuter sedan, e-snobben säger:

I så fall har visionen om att alla ska ha tillgång till internet gjort att alla måste köpa ny dator in x antal år, även om datorn fungerar helt felfritt. Jag är sugen att göra mina bankärenden på den gamla hädanefter bara för att se om mitt konto blir länsat på pengar. :hihihi:

 

Tack, men tyvärr är min dator ett par år för gammal.

Den är inte för gammal för en modern Linux inklusive moderna webbläsare. Dock ej Safari, förstås.

Dela detta inlägg


Länk till inlägg
Dela på andra webbplatser
1 minut sedan, Alix säger:

Den är inte för gammal för en modern Linux inklusive moderna webbläsare. Dock ej Safari, förstås.

Det där med Linux känns jobbigt... :dumstrut:

Dela detta inlägg


Länk till inlägg
Dela på andra webbplatser
12 minuter sedan, e-snobben säger:

Om man översätter terminalkoden till svenska, hur skulle det låta då? Dvs vad är det man talar om för datorn att göra?

Det som står under där, om att editera för hand: 10.9 -> 10.6

ff_fix.png.5e1883ecc97641b83773eec8ae538956.png

Dela detta inlägg


Länk till inlägg
Dela på andra webbplatser
15 timmar sedan, e-snobben säger:

Det där med Linux känns jobbigt... :dumstrut:

I så fall kan du lika gärna sälja datorn till någon som inte tycker att det är jobbigt. Ett par tusenlappar borde du kunna få. Då gör du en insats för miljön också genom att en redan färdig produkt kommer till nytta!

Dela detta inlägg


Länk till inlägg
Dela på andra webbplatser
18 timmar sedan, modEric säger:

Det som står under där, om att editera för hand: 10.9 -> 10.6

ff_fix.png.5e1883ecc97641b83773eec8ae538956.png

 

Det där är ju inte svenska, det är ju rena grekiskan. :D

 

Men jag antar att det man gör är att lura datorn och webbläsaren att tro att de är kompatibla med varandra?

Dela detta inlägg


Länk till inlägg
Dela på andra webbplatser
3 timmar sedan, Alix säger:

Ett par tusenlappar borde du kunna få.

Sell your Mac erbjuder $50.

 

Å andra sidan verkar någon på ebay tro sig få 2700 SEK för mellanmodellen som är något dyrare, så kanske kanske...

Dela detta inlägg


Länk till inlägg
Dela på andra webbplatser
12 minuter sedan, e-snobben säger:

Sell your Mac erbjuder $50.

 

Å andra sidan verkar någon på ebay tro sig få 2700 SEK för mellanmodellen som är något dyrare, så kanske kanske...

Du får invänta rätt köpare. De finns.

Dela detta inlägg


Länk till inlägg
Dela på andra webbplatser
1 timme sedan, e-snobben säger:

Det där är ju inte svenska, det är ju rena grekiskan. :D

 

Men jag antar att det man gör är att lura datorn och webbläsaren att tro att de är kompatibla med varandra?

Det är i Info.plist som du går in och öndrar bara så att den står på  10.6 som minversion. Det var i FF57 som de även la in ett bättre skydd mot att ens kunna starta programmet i äldre system.

 

54 minuter sedan, e-snobben säger:

Sell your Mac erbjuder $50.

 

Å andra sidan verkar någon på ebay tro sig få 2700 SEK för mellanmodellen som är något dyrare, så kanske kanske...

Du kan väl uppgradera den istället... Då får du dessutom mer för den sen om du säljer den. :yeahbaby:

Dela detta inlägg


Länk till inlägg
Dela på andra webbplatser

Kör  Firefox 48 på min äldre dator med Snow Leopard. Tror den är från 2016. Det är säkert inte optimalt men jag har inte upplevt några problem sen jag bytte till den webbläsaren och gjorde mer restriktiva inställningar. Alltid trevligt att kunna köra PowerPc-program om man känner för det. 

  • Gilla 2

Dela detta inlägg


Länk till inlägg
Dela på andra webbplatser

Vill man inte köra Linux kan man ju köra in Windows 7, den har väl säkerhetsuppdateringar till 2020 åtminstone, och man kan köra de senaste Firefox eller Chrome. Går nog att lägga in Windows 10 om man krånglar, men osvuret är bäst.

 

Annars tror jag personligen att Firefox och några extensions för att blocka reklam och script etc är rätt ok, tror inte många hackare siktar in sig på datorer som kör Lion eller motsvarande. 

Dela detta inlägg


Länk till inlägg
Dela på andra webbplatser
2018-09-01 på 13:41, modEric säger:

Det är i Info.plist som du går in och öndrar bara så att den står på  10.6 som minversion. Det var i FF57 som de även la in ett bättre skydd mot att ens kunna starta programmet i äldre system.

 

Du kan väl uppgradera den istället... Då får du dessutom mer för den sen om du säljer den. :yeahbaby:

Ok, tack.

 

Uppgradera hur? Vad kostar det, cirka? Var får man tag på delar?

Dela detta inlägg


Länk till inlägg
Dela på andra webbplatser
2018-09-01 på 20:50, Lis-Peace säger:

Kör  Firefox 48 på min äldre dator med Snow Leopard. Tror den är från 2016. Det är säkert inte optimalt men jag har inte upplevt några problem sen jag bytte till den webbläsaren och gjorde mer restriktiva inställningar. Alltid trevligt att kunna köra PowerPc-program om man känner för det. 

 

I så fall behöver jag inte uppgradera, bara kanske kolla en del inställningar. :yeahbaby:

Dela detta inlägg


Länk till inlägg
Dela på andra webbplatser
Postad (redigerade)

@e-snobben Jag skulle faktiskt installera Leopard på datorn (Mac OS X 10.5.8). Detta eftersom man då kan uppgradera datorn med systemcertifikat (till Sierranivå) med mera med hjälp av en communitydriven webbläsare som baseras på Webkit. Den finns här. Jag har testat detta på en Ibook G4 Late 2004 och man surfar utmärkt där, både webben och ladda ned epost. På en Mac Pro går det naturligtvis ännu bättre.

 

Se dump:

 

dump.png.fc396c13d6763e617def7825850b6103.png

 

READ ME-texten i spoiler nedan:
 

Spoiler

 

The provided WebKit application will launch the currently installed version of Safari, forcing it to use the updated WebKit and Security frameworks provided by Leopard WebKit. 

Leopard WebKit is tested with Safari 5.0.6 and Mail 3.6 (on 10.5) only.
Roccat 8.x has also been tested slightly.

________________________

How to make the best use of Leopard WebKit:

You may simply copy the provided WebKit application to your hard drive and use it from there; don't forget to set the latest WebKit version as the default web browser in the Safari settings.
If you need better TLS support for accessing your mail account using OS X Mail you should relink it against Leopard WebKit as described in the following section.
You'll also want to run the script "update system certificates" in order to not get security warnings for now trusted but formerly unknown connections and to get security warnings for formerly trusted connections that aren't considered secure any longer.
You should also execute the provided "enable advanced features" script in order to have web sites better recognize the modern abilities of your browser - quite some important web sites already depend on these features for fully functioning or in order to work at all.
In case you don't need Safari's Top Sites feature (the preview images generated for visited web sites) you should disable it using the script "disable TopSites preview rendering".

________________________

Relink against Leopard WebKit:

This AppleScript droplet can be used to relink applications against Leopard Webkit, and it is the recommended way of using Leopard WebKit with browsers other than Safari - but it will also work for Safari.
Just drop your favourite browser (like Roccat for example) or other WebKit based application (like Mail for example) on this droplet and it will create a copy of your application, appending "LepWK" to the original name (the name the application originally had when it was built).
The Leopard WebKit frameworks are then copied into the application bundle itself and relinked to refer each other in that location. That way each relinked application contains its own private copy of Leopard WebKit.
Be patient while the frameworks are copied and wait until the execution of the AppleScript finishes.
In case of big application bundles (like Mail) the copy process may time out and the relinking itself isn't performed - make sure your system is as idle as possible and try again!
The relinking might also spuriously fail for unknown reasons - make sure your system is as idle as possible and try again!

The relinking does only work for application that dont't load the WebKit frameworks at runtime, like Stainless for example.
It also might not work for applications that contain frameworks or plugin bundles inside the application bundle in locations different to what Apple recommends that are themselves linked against the Apple provided WebKit frameworks.
It should work well with any applications that place frameworks in Contents/Frameworks and plugin bundles in Contents/PlugIns, like Roccat 4.9 and later.

________________________

enable advanced features:

Enables all graphics acceleration features, HTML5 full screen support, WebGL and WebAudio.
In order to make web pages better recognize the supported features this does also set the default Safari user agent to that of Safari 11.0 .

revert advanced features to defaults:
Resets the advanced features to the defaults built to the defaults of the currently installed version of WebKit.

________________________

disable TopSites preview rendering:

Disables the TopSites background web site preview image rendering which does free quite some precious system resources (CPU time, RAM, hard drive memory).
TopSites will not work as expected when preview image rendering is disabled as new sites won't get preview images and existing ones won't be updated any more.

revert disabling TopSites preview rendering:
Enables TopSites background web site preview rendering.

________________________

update system certificates:

This will bring the system security certificates up to date by overwriting the installed ones with updated ones from the officially released 10.12 source code.
Please note that a backup will not be made. You can revert to the ones shipped with 10.5.8 by reinstalling the 10.5.8 update (http://support.apple.com/kb/DL865).
If you don't update, parts of certain web sites might not load and/or you'll get security warnings when visiting certain sites.

________________________

disable IPv6 for all enabled network devices:

This will disable IPv6 for all currently enabled network devices.
Disabling IPv6 works around a common issue that causes network speed to slow down until completely halting. On affected systems Safari for example won't be able to load any web site with IPv6 enabled.

revert disabling IPv6 for all enabled network devices:
This will set IPv6 to automatic for all currently enabled network devices.

________________________

Download QuickTime 7.7.0:

Unfortunately QuickTime won't be automatically updated to the latest version any longer. So here a direct link to the latest version (7.7.0) available on Apple's servers.
You'll need the latest version for proper HTML5 video playback and important bug fixes.

 

 

Redigerad av Alix
  • Tack 1

Dela detta inlägg


Länk till inlägg
Dela på andra webbplatser
9 minuter sedan, Alix säger:

@e-snobben Jag skulle faktiskt installera Leopard på datorn (Mac OS X 10.5.8). Detta eftersom man då kan uppgradera datorn med systemcertifikat (till Sierranivå) med mera med hjälp av en communitydriven webbläsare som baseras på Webkit. Den finns här. Jag har testat detta på en Ibook G4 Late 2004 och man surfar utmärkt där, både webben och ladda ned epost. På en Mac Pro går det naturligtvis ännu bättre.

 

Se dump:

 

dump.png.fc396c13d6763e617def7825850b6103.png

 

READ ME-texten i spoiler nedan:
 

  Dölj innehåll

 

The provided WebKit application will launch the currently installed version of Safari, forcing it to use the updated WebKit and Security frameworks provided by Leopard WebKit. 

Leopard WebKit is tested with Safari 5.0.6 and Mail 3.6 (on 10.5) only.
Roccat 8.x has also been tested slightly.

________________________

How to make the best use of Leopard WebKit:

You may simply copy the provided WebKit application to your hard drive and use it from there; don't forget to set the latest WebKit version as the default web browser in the Safari settings.
If you need better TLS support for accessing your mail account using OS X Mail you should relink it against Leopard WebKit as described in the following section.
You'll also want to run the script "update system certificates" in order to not get security warnings for now trusted but formerly unknown connections and to get security warnings for formerly trusted connections that aren't considered secure any longer.
You should also execute the provided "enable advanced features" script in order to have web sites better recognize the modern abilities of your browser - quite some important web sites already depend on these features for fully functioning or in order to work at all.
In case you don't need Safari's Top Sites feature (the preview images generated for visited web sites) you should disable it using the script "disable TopSites preview rendering".

________________________

Relink against Leopard WebKit:

This AppleScript droplet can be used to relink applications against Leopard Webkit, and it is the recommended way of using Leopard WebKit with browsers other than Safari - but it will also work for Safari.
Just drop your favourite browser (like Roccat for example) or other WebKit based application (like Mail for example) on this droplet and it will create a copy of your application, appending "LepWK" to the original name (the name the application originally had when it was built).
The Leopard WebKit frameworks are then copied into the application bundle itself and relinked to refer each other in that location. That way each relinked application contains its own private copy of Leopard WebKit.
Be patient while the frameworks are copied and wait until the execution of the AppleScript finishes.
In case of big application bundles (like Mail) the copy process may time out and the relinking itself isn't performed - make sure your system is as idle as possible and try again!
The relinking might also spuriously fail for unknown reasons - make sure your system is as idle as possible and try again!

The relinking does only work for application that dont't load the WebKit frameworks at runtime, like Stainless for example.
It also might not work for applications that contain frameworks or plugin bundles inside the application bundle in locations different to what Apple recommends that are themselves linked against the Apple provided WebKit frameworks.
It should work well with any applications that place frameworks in Contents/Frameworks and plugin bundles in Contents/PlugIns, like Roccat 4.9 and later.

________________________

enable advanced features:

Enables all graphics acceleration features, HTML5 full screen support, WebGL and WebAudio.
In order to make web pages better recognize the supported features this does also set the default Safari user agent to that of Safari 11.0 .

revert advanced features to defaults:
Resets the advanced features to the defaults built to the defaults of the currently installed version of WebKit.

________________________

disable TopSites preview rendering:

Disables the TopSites background web site preview image rendering which does free quite some precious system resources (CPU time, RAM, hard drive memory).
TopSites will not work as expected when preview image rendering is disabled as new sites won't get preview images and existing ones won't be updated any more.

revert disabling TopSites preview rendering:
Enables TopSites background web site preview rendering.

________________________

update system certificates:

This will bring the system security certificates up to date by overwriting the installed ones with updated ones from the officially released 10.12 source code.
Please note that a backup will not be made. You can revert to the ones shipped with 10.5.8 by reinstalling the 10.5.8 update (http://support.apple.com/kb/DL865).
If you don't update, parts of certain web sites might not load and/or you'll get security warnings when visiting certain sites.

________________________

disable IPv6 for all enabled network devices:

This will disable IPv6 for all currently enabled network devices.
Disabling IPv6 works around a common issue that causes network speed to slow down until completely halting. On affected systems Safari for example won't be able to load any web site with IPv6 enabled.

revert disabling IPv6 for all enabled network devices:
This will set IPv6 to automatic for all currently enabled network devices.

________________________

Download QuickTime 7.7.0:

Unfortunately QuickTime won't be automatically updated to the latest version any longer. So here a direct link to the latest version (7.7.0) available on Apple's servers.
You'll need the latest version for proper HTML5 video playback and important bug fixes.

 

 

 

Mycket att läsa och en del att göra. Får se hur långt jag kommer med det där, men tack ändå!

 

  • Gilla 1

Dela detta inlägg


Länk till inlägg
Dela på andra webbplatser

Har kommit fram till att jag ska behålla gamlingen. I nyare versioner av Kontakt har de nämligen slopat stödet för Roland CD-ROM, vilket gör att dessa skivor inte dyker upp i Finder. Har ett antal skivor vars sampingar jag inte har koll på om jag konverterat allt till Kontakt, plus att det är bra om jag vill göra nya ljud av de befintliga.

 

Ska även skaffa en Firewire 800 kabel så jag har möjlighet att använda Mac Pro'n som hårddisk. Vet inte hur praktiskt det blir men jag vill ha möjlighet till det oavsett. Bra att ha alla sorters kablar som går att använda tänker jag.

 

När tiden är mogen kan jag ge mig i kast med de tips jag fått. :crossfingers:

  • Gilla 2

Dela detta inlägg


Länk till inlägg
Dela på andra webbplatser

Skapa ett konto eller logga in för att kommentera

Du måste vara medlem för att kunna kommentera

Skapa ett konto

Skapa ett nytt konto på vårt forum. Det är lätt!

Registrera ett nytt konto

Logga in

Redan medlem? Logga in här.

Logga in nu



×